@import url("basic.css");

.banner {
  /* background: url("https://cdn.mypanel.link/hmz1fi/z4z9tnwm148k29uk.webp") no-repeat; */
  background: var(--gradient-primary);
  background-size: cover;
  background-position: center;
  padding: 20px;
}

.main .row,
.our-services .row,
.we-offer .row,
.work-process .row,
.faqs .row {
  align-items: center;
}

.btn {
  /* background: #0d6efd; */
  /* color: #fff !important; */
  border-radius: 15px;
  padding: 6px 12px;
}

.choose-col {
  align-items: center;
  text-align: center;
  /* box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.2); */
  ;
}

.choose-col .box {
  box-shadow: var(--shadow-1);
  background: var(--bg-color);
  text-align: center;
  transition: all 0.3s ease;
  height: 100%;
  border-radius: 15px;
}

.choose-col .box h3 {
  font-size: 25px;
}

.choose-col .box:hover,
.we-offer .icon-box:hover {
  box-shadow: var(--shadow-lg) !important;
}

.choose-col .box:hover .choose-img {
  transform: scale(0.9);
  transition: transform 0.3s ease;
}

.choose-img {
  width: 70%;
}


.our-services,
.we-offer,
.work-process {
  padding-top: 30px;
  padding-bottom: 30px;
  align-items: center;
  text-align: center;
}

.our-services .btn-box {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 5px;
  width: 100%;
  padding: 15px;
  /* box-shadow: 0 0 8px rgba(0, 0, 0, 0.3); */
  box-shadow: var(--shadow-2);
  background: white;
  border: none;
  border-radius: 8px;
}

.our-services .btn-box img {
  width: 20px;
}

@keyframes shake {

  0%,
  100% {
    transform: translateX(0);
  }

  20% {
    transform: translateX(-5px);
  }

  40% {
    transform: translateX(5px);
  }

  60% {
    transform: translateX(-5px);
  }

  80% {
    transform: translateX(5px);
  }
}

.shake {
  animation: shake 0.6s ease;
}

.we-offer .offer-head {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;

}

.we-offer h2 {
  width: 60%;
}

.we-offer .offer-col {
  height: 100% !important;
}

.we-offer .icon-box {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  /* gap: 10px; */
  box-shadow: var(--shadow-1);
  background: var(--bg-color);
  height: 100% !important;
  padding: 10px;
  transition: all 0.3s ease;
  border-radius: 15px;

}

.we-offer .icon-box .icon {
  -webkit-box-flex: 0;
  -ms-flex: 0 0 80px;
  flex: 0 0 80px;
  max-width: 80px;
  width: 80px;
  height: 80px;
  font-size: 42px;
  -webkit-transition-duration: 500ms;
  transition-duration: 500ms;
  margin-right: 15px;
  background: var(--gradient-primary);
  color: #ffffff;
  text-align: center;
  border-radius: 50%;
  margin-top: 2px;
}

.we-offer .icon-box i {
  margin-top: 17px;
}

.we-offer .icon-box .icon-text {
  text-align: center;
}



.work-process .work-step {
  position: relative;
  z-index: 1;
  margin-bottom: 50px;
  text-align: center;

}

.work-process .work-step:hover .step-icon i,
.work-process .work-step:hover h5 {
  color: var(--primary-color);
}

.work-process .work-step::before {
  -webkit-transition-duration: 500ms;
  transition-duration: 500ms;
  position: absolute;
  content: "\f054";
  top: 25%;
  right: -15%;
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  font-size: 3rem;
  width: 70px;
  height: 70px;
  margin-top: 10px;
  margin-left: -35px;
  z-index: 4;
  line-height: 1;
  color: var(--primary-color);
}

.work-process-col:last-child .work-step::before {
  content: none;
}

.work-process .work-step:hover::before,
.work-process .work-step:focus::before {
  color: var(--primary-color);
  right: -25%;
}

.work-process .work-step .step-icon {
  -webkit-transition-duration: 500ms;
  transition-duration: 500ms;
  position: relative;
  z-index: 1;
  width: 90px;
  height: 90px;
  border-radius: 50%;
  margin: 0 auto 30px;
}

.work-process .work-step .step-icon i {
  font-size: 3rem;
  line-height: 90px;
  color: var(--primary-color);
}

.work-process .work-step .step-icon::after {
  position: absolute;
  width: 100%;
  height: 100%;
  content: "";
  border-radius: 50%;
  border: 5px dotted var(--primary-color);
  top: 0;
  left: 0;
}

.work-process .work-step:hover .step-icon::after {
  border-color: var(--secondary-color);
  animation: circle-moving 4s linear infinite;
}


.cricle-moving {
  transform: rotate();
}

@keyframes circle-moving {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

.work-process .work-step h5 {
  -webkit-transition-duration: 500ms;
  transition-duration: 500ms;
  font-size: 20px;
  font-weight: 600;
  color: #020710;
}


.faqs .accordion-item {
  padding: 1px;
  border: double 2px transparent;
  border-radius: 10px;
  background-image: linear-gradient(white, white), linear-gradient(to bottom, var(--primary-color), var(--secondary-color));
  background-origin: border-box;
  background-clip: content-box, border-box;
  margin-bottom: 25px;
  box-shadow: 0px 0px 22px 0px rgba(0, 0, 0, 0.10);
}

.faqs .accordion-button:not(.collapsed) {
  background: none;
}


/* Mobile */

@media (max-width: 768px) {

  /* home */
  .we-offer h2 {
    width: 100%;
  }

  .work-process .mob-hide {
    overflow: hidden;
  }

  .choose-col,
  .we-offer .offer-col {
    margin-bottom: 15px;
  }




}